from django.db import models


class ExerciseType(models.Model):
    exercise_type_id = models.AutoField(primary_key=True)
    name = models.CharField(max_length=100)
    description = models.TextField(max_length=1000, blank=True, null=True)
    unit = models.CharField(max_length=50, blank=True, null=True)
    unit_quantity = models.BooleanField(default=0, blank=True, null=True)
    unit_quantity_unit = models.CharField(max_length=50, blank=True, null=True)
    active = models.BooleanField(default=0, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'exercise_type'


class ExerciseTypeImage(models.Model):

    class ImageTypes(models.TextChoices):
        IMAGE = 'image'
        VIDEO = 'video'
        MENU = 'menu'

    image_id = models.AutoField(primary_key=True)
    exercise_type_id = models.IntegerField(blank=True, null=True)
    name = models.CharField(max_length=50, blank=True, null=True)
    type = models.CharField(choices=ImageTypes.choices, default=ImageTypes.IMAGE, max_length=50, blank=True, null=True)
    url = models.CharField(max_length=200, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'exercise_type_image'